X-6.9 SORTED, DRI Modules error, magic numbers?

Declan Moriarty junk_mail at iol.ie
Thu Jan 19 16:01:03 PST 2006


Recently, Somebody Somewhere wrote these words
> 
> 
> > -bash-3.00# modprobe drm drm: version magic '2.6.14.3-grsec-05
> > K7 GRSECURITY gcc-3.4' should be '2.6.14.3-grsec-05 K7
> > GRSECURITY gcc-3.3' FATAL: Error inserting drm
> > (/lib/modules/2.6.14.3-grsec-05/kernel/drivers/char/drm/drm.ko):
> > Invalid module format
> 
> When you compile kernel modules you need to use the same
> CC="..." that you used to build your kernel. If you followed the
> book for linux then try to use make CC="gcc -no-pie
> -fno-stack-protector-all".

/grinding teeth.

Will do Bruce - you've been spot on so far. Is somebody doing a
page on compiler tweaks for the less initiated? I hope so.



-- 

	With best Regards,


	Declan Moriarty.



More information about the hlfs-dev mailing list